package com.njcn.csharmonic.service;

import com.njcn.csdevice.pojo.vo.DataGroupEventVO;
import com.njcn.csdevice.pojo.vo.EachModuleVO;
import com.njcn.csdevice.pojo.vo.RecordVo;
import com.njcn.csharmonic.param.DataParam;
import com.njcn.csharmonic.param.ItemParam;
import com.njcn.csharmonic.pojo.vo.AppLineDetailVo;
import com.njcn.csharmonic.pojo.vo.RealTimeDataVo;

import java.util.List;

/**
 * @author xuyang
 */
public interface IDataService {

    /**
     * 获取设备准实时数据
     * @param param
     * @return
     */
    List<AppLineDetailVo> getRealTimeData(DataParam param);

    /**
     * 获取监测点测试项信息
     */
    List<RecordVo> getTestData(DataParam param);

    /**
     * 根据测试项id获取时间范围内的暂态事件
     */
    List<DataGroupEventVO> getEventByItem(ItemParam param);

    /**
     * 获取治理监测点下所有模块的事件数据
     * @param param
     */
    List<EachModuleVO> allModelData(DataParam param);

    List<EachModuleVO> getModuleState(String id);

    List<AppLineDetailVo> getLineDataByEngineer(String id);

}
